Partially update a recording rule
PATCH
/v1/recordingrule/{id}/
Update one or more fields of an existing recording rule.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string format: uuid
A UUID string identifying this recording rule.
Request Body
Section titled “Request Body ”A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
id
string format: uuid
account
string format: uuid
name
string
query
string
agent_type
string format: uuid
metric_resolution_second
integer
default_threshold_high_critical
Threshold high critical
number format: double
default_threshold_high_warning
Threshold high warning
number format: double
default_threshold_low_critical
Threshold low critical
number format: double
default_threshold_low_warning
Threshold low warning
number format: double
active
boolean
created_at
string format: date-time
deactivated_at
string format: date-time
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
id
string format: uuid
account
string format: uuid
name
string
query
string
agent_type
string format: uuid
metric_resolution_second
integer
default_threshold_high_critical
Threshold high critical
number format: double
default_threshold_high_warning
Threshold high warning
number format: double
default_threshold_low_critical
Threshold low critical
number format: double
default_threshold_low_warning
Threshold low warning
number format: double
active
boolean
created_at
string format: date-time
deactivated_at
string format: date-time
Responses
Section titled “ Responses ”A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
id
required
string format: uuid
account
required
string format: uuid
name
required
string
query
required
string
agent_type
string format: uuid
metric_resolution_second
required
integer
default_threshold_high_critical
Threshold high critical
number format: double
default_threshold_high_warning
Threshold high warning
number format: double
default_threshold_low_critical
Threshold low critical
number format: double
default_threshold_low_warning
Threshold low warning
number format: double
active
boolean
created_at
required
string format: date-time
deactivated_at
string format: date-time